/*
copyright 2004 by Jon Snell, jsnell@e-normous.com
see README for GPL license info
*/

#ifndef __CID_MODEM_H__
#define __CID_MODEM_H__

/* you may want to edit the following to get it working on your system */

#define BAUDRATE B9600     
#define MODEM_DEVICE "/dev/modem"
#define INIT_STRING "ATZE0\r\n"
#define CID_INIT_STRING "AT+VCID=1\r\n"
/*
  alternate CID Init Strings you may want to try:
  AT#CID=1
  AT#CLS=8#CID=1
  AT#CID=2
  AT%CCID=1
  AT+VCID=1
  AT%CCID=2
  AT+VCID=1
  AT#CC1
  AT*ID1
  */
#define CID_NAME_PREFIX "NAME = "
#define CID_NUMBER_PREFIX "NMBR = "
//  #define MODEM_DEBUG

int open_port(void);
int modem_write(CIDData *cid, const char *str);
int modem_read(CIDData *cid);
 char *modem_gets(CIDData *cid);
 int init_modem(CIDData *cid);
 int parse_modem_text(char *m_text, CIDRecord *cid_record);

#endif
